| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
EM::SurfaceT2DTransformer Class Referenceabstract
EarthModel

`#include <emsurft2dtransformer.h>`

Inheritance diagram for EM::SurfaceT2DTransformer:
[legend]

## Public Member Functions
| ~SurfaceT2DTransformer ()
uiRetVal | errMsg () const
RefMan< EMObject > | getTransformedSurface (const MultiID &) const
od_int64 | nrDone () const override
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static Executor * | createExecutor (const ObjectSet< SurfaceT2DTransfData > &datas, ZAxisTransform &, ObjectType)
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
| SurfaceT2DTransformer (const ObjectSet< SurfaceT2DTransfData > &datas, ZAxisTransform &)
RefMan< EMObject > | createObject (const MultiID &, const MultiID &) const
virtual OD::Pol2D3D | dataTypeSupported ()
bool | do3DHorizon (const EM::EMObject &, Surface &)
virtual const StringView | getTypeString () const =0
bool | load2DVelCubeTransf (const Pos::GeomID &, const StepInterval< int > &)
void | load3DTranformVol (const TrcKeyZSampling *)
virtual void | postStepCB (CallBacker *)
virtual void | preStepCB (CallBacker *)
void | unloadModel ()
virtual bool | updateHSamp () const
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
virtual int | nextStep ()=0
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
const ObjectSet< SurfaceT2DTransfData > & | datas_
uiRetVal | errmsg_
uiString | msg_
od_int64 | nrdone_ = 0
RefObjectSet< EMObject > | outsurfs_
od_int64 | totnr_ = 0
ZAxisTransform & | zatf_
int | zatvoi_ = -1
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~SurfaceT2DTransformer()

EM::SurfaceT2DTransformer::~SurfaceT2DTransformer | ( |  | ) |

## ◆ SurfaceT2DTransformer()

EM::SurfaceT2DTransformer::SurfaceT2DTransformer | ( | const ObjectSet< SurfaceT2DTransfData > & | datas,
|  | ZAxisTransform & | )
| protected

## Member Function Documentation

## ◆ createExecutor()

static Executor * EM::SurfaceT2DTransformer::createExecutor | ( | const ObjectSet< SurfaceT2DTransfData > & | datas,
|  | ZAxisTransform & | ,
|  | ObjectType | )
| static

## ◆ createObject()

RefMan< EMObject > EM::SurfaceT2DTransformer::createObject | ( | const MultiID & | ,
|  | const MultiID & | ) const
| protected

## ◆ dataTypeSupported()

virtual OD::Pol2D3D EM::SurfaceT2DTransformer::dataTypeSupported | ( |  | ) |
| inline protected virtual

Reimplemented in EM::Horizon3DT2DTransformer, EM::Horizon2DT2DTransformer, EM::FaultT2DTransformer, EM::FaultSetT2DTransformer, and EM::FaultStickSetT2DTransformer.

## ◆ do3DHorizon()

bool EM::SurfaceT2DTransformer::do3DHorizon | ( | const EM::EMObject & | ,
|  | Surface & | )
| protected

## ◆ errMsg()

uiRetVal EM::SurfaceT2DTransformer::errMsg | ( |  | ) | const
| inline

## ◆ getTransformedSurface()

RefMan< EMObject > EM::SurfaceT2DTransformer::getTransformedSurface | ( | const MultiID & |  | ) | const

## ◆ getTypeString()

virtual const StringView EM::SurfaceT2DTransformer::getTypeString | ( |  | ) | const
| protected pure virtual

Implemented in EM::Horizon3DT2DTransformer, EM::Horizon2DT2DTransformer, EM::FaultT2DTransformer, EM::FaultSetT2DTransformer, and EM::FaultStickSetT2DTransformer.

## ◆ load2DVelCubeTransf()

bool EM::SurfaceT2DTransformer::load2DVelCubeTransf | ( | const Pos::GeomID & | ,
|  | const StepInterval< int > & | )
| protected

## ◆ load3DTranformVol()

void EM::SurfaceT2DTransformer::load3DTranformVol | ( | const TrcKeyZSampling * |  | ) |
| protected

## ◆ nrDone()

od_int64 EM::SurfaceT2DTransformer::nrDone | ( |  | ) | const
| inline override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ postStepCB()

virtual void EM::SurfaceT2DTransformer::postStepCB | ( | CallBacker * |  | ) |
| protected virtual

Reimplemented in EM::Horizon3DT2DTransformer.

## ◆ preStepCB()

virtual void EM::SurfaceT2DTransformer::preStepCB | ( | CallBacker * |  | ) |
| protected virtual

Reimplemented in EM::Horizon3DT2DTransformer, and EM::Horizon2DT2DTransformer.

## ◆ totalNr()

od_int64 EM::SurfaceT2DTransformer::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString EM::SurfaceT2DTransformer::uiMessage | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString EM::SurfaceT2DTransformer::uiNrDoneText | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ unloadModel()

void EM::SurfaceT2DTransformer::unloadModel | ( |  | ) |
| protected

## ◆ updateHSamp()

virtual bool EM::SurfaceT2DTransformer::updateHSamp | ( |  | ) | const
| inline protected virtual

Reimplemented in EM::Horizon3DT2DTransformer.

## Member Data Documentation

## ◆ datas_

const ObjectSet<SurfaceT2DTransfData>& EM::SurfaceT2DTransformer::datas_
| protected

## ◆ errmsg_

uiRetVal EM::SurfaceT2DTransformer::errmsg_
| protected

## ◆ msg_

uiString EM::SurfaceT2DTransformer::msg_
| protected

## ◆ nrdone_

od_int64 EM::SurfaceT2DTransformer::nrdone_ = 0
| protected

## ◆ outsurfs_

RefObjectSet<EMObject> EM::SurfaceT2DTransformer::outsurfs_
| protected

## ◆ totnr_

od_int64 EM::SurfaceT2DTransformer::totnr_ = 0
| protected

## ◆ zatf_

ZAxisTransform& EM::SurfaceT2DTransformer::zatf_
| protected

## ◆ zatvoi_

int EM::SurfaceT2DTransformer::zatvoi_ = -1
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025